/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */

 




package org.greenstone.gatherer.cdm;
/**************************************************************************************
  * Title:        Gatherer
  * Description:  The Gatherer: a tool for gathering and enriching a digital collection.
  * Copyright:    Copyright (c) 2001
  * Company:      The University of Waikato
  * Written:      03/05/02
  * Revised:      17/11/02 - Commented
 **************************************************************************************/
import java.util.Vector;
import javax.swing.DefaultListModel;
import org.greenstone.gatherer.cdm.SubIndex;
/** Not to be confused with the SubIndex class, SubIndexes holds a Vector of SubIndex objects.
* @author John Thompson, Greenstone Digital Library, University of Waikato
* @version 2.2
*/
public class SubIndexes
	 extends DefaultListModel {
	 public void changed() {
		  fireContentsChanged(this, 0, getSize() - 1);
	 }
	 /** Method to display the contents of this class as an entry in the collection configuration file. The line contains the key word, then a space separated series of index entries.
	  * @return A <strong>String</strong> representing this collection of indexes.
	  */
	 public String toString() {
		  String text = "indexsubcollections  ";
		  for(int i = 0; i < size(); i++) {
				text = text + ((SubIndex)get(i)).toString();
				if(i < size() - 1) {
					 text = text + " ";
				}
		  }
		  text = text + "\n";
		  return text;
	 }
}
